summaryrefslogtreecommitdiffstats
path: root/sync/autogen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sync/autogen.sh')
-rwxr-xr-xsync/autogen.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/sync/autogen.sh b/sync/autogen.sh
new file mode 100755
index 0000000..6cf366f
--- /dev/null
+++ b/sync/autogen.sh
@@ -0,0 +1,19 @@
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="PokySync"
+
+(test -f $srcdir/configure.ac) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
+}
+
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME CVS"
+ exit 1
+}
+
+REQUIRED_AUTOMAKE_VERSION=1.7 USE_GNOME2_MACROS=0 REQUIRED_GETTEXT_VERSION=0.10.36 . gnome-autogen.sh